<?php
include_once('../style.php');
ShowHeader('Výkonc bezdrátových zařízení', 'Vyzářený výkon');

//include_once('../html/is/error.php');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);
//ini_set('display_startup_errors', true);

function DbById($Id)
{
  global $Database;
  $DbResult = $Database->select('wlan_db', '*', 'id='.$Id);
  $Row = $DbResult->fetch_array();
  return($Row);
}

$Polozky = array('device', 'connector1', 'cable', 'connector2', 'antena');

echo('<table width="100%"><tr><td valign="top">');
echo('<table cellspacing="0" cellpadding="3" border="1"><tr><th>Označení</th><th>Výkon [dB]</th><th>Výkon [mW]</tr>');
$DbResult = $Database->select('wlan_list', 'id,cable_length,name,'.implode(',', $Polozky));
while($Row =  $DbResult->fetch_array())
{
  foreach($Polozky as $Item)
  {
    $Row2 = DbById($Row[$Item]);
    $Row[$Item.'_db'] = $Row2['value'];
    $Row[$Item] = $Row2['name'];
  } 
  $Row['cable_db'] = $Row['cable_db'] * $Row['cable_length']; 
  $Row['cable'] = $Row['cable'].' '.$Row['cable_length'].' m'; 
  
  $Total = 0;
  foreach($Polozky as $Item)
  {
    $Total = $Total + $Row[$Item.'_db'];
  }
  echo('<tr><td>'.$Row['name'].'</td><td>'.round($Total).'</td><td>'.round(pow(10, $Total/10)).'</td></tr>');
  echo('<tr><td colspan="3"><table style="font-size: smaller;" width="100%" cellspacing="0" cellpadding="3" border="1">');
  foreach($Polozky as $Item)
  {
    echo('<tr><td>'.$Row[$Item].'</td><td>'.$Row[$Item.'_db'].'</td></tr>');
  } 
  echo('</table></td></tr>');
  
  $Database->update('wlan_list', 'id='.$Row['id'], array('total' => $Total, 'total_passive' => ($Total-$Row['device_db'])));  
}
echo('</table>');

echo('</td><td valign="top">');

echo('<table cellspacing="0" cellpadding="3" border="1">
<tr><th>Bod 1</th><th>Bod 2</th><th>Signál [dB]</tr>');
$DbResult = $Database->select('wlan_links', '*');
while($Row = $DbResult->fetch_array())
{
  $DbResult2 = $Database->select('wlan_list', '*', 'id='.$Row['point1']);
  $Point1 = $DbResult2->fetch_array();
  $DbResult2 = $Database->select('wlan_list', '*', 'id='.$Row['point2']);
  $Point2 = $DbResult2->fetch_array();
  
  $UtlumTrasy = -round(40 + 20*log10($Row['distance']));
  $Signal = $Point1['total'] + $UtlumTrasy + $Point2['total_passive'];
  echo('<tr><td>'.$Point1['name'].'</td><td>'.$Point2['name'].'</td><td>'.$Signal.'</td></tr>');
  echo('<tr><td colspan="3"><table style="font-size: smaller;" width="100%" cellspacing="0" cellpadding="3" border="1">');

  echo('<tr><td>Vyzářený výkon</td><td>'.$Point1['total'].'</td></tr>');
  echo('<tr><td>Útlum trasy</td><td>'.$UtlumTrasy.'</td></tr>');
  echo('<tr><td>Zisk příjímače</td><td>'.$Point2['total_passive'].'</td></tr>');

  echo('</table></td></tr>');
}

echo('</td></tr></table>');

?>
